Тёмный

Rotate Array by K places | Union, Intersection of Sorted Arrays | Move Zeros to End | Arrays Part-2 

take U forward
Подписаться 623 тыс.
Просмотров 639 тыс.
50% 1

Notes/C++/Java/Python codes in Step 3.1 of bit.ly/tufA2ZYt
Left Rotate array by 1 place: takeuforward.org/data-structu...
Left Rotate array by D places: takeuforward.org/arrays/left-...
Right Rotate array by d places: takeuforward.org/arrays/right...
Move zeros to End: takeuforward.org/data-structu...
Linear Search: takeuforward.org/arrays/linea...
Union of two sorted Arrays: takeuforward.org/data-structu...
The intersection of two sorted arrays: takeuforward.org/data-structu...
Problem links
Left Rotate array by 1 place: bit.ly/3ZeXGrO
Left Rotate array by K places: bit.ly/3IQQdrt
Move zeros to End: bit.ly/3XbsF6k
Linear Search: bit.ly/3GmcVGJ
Union of two sorted Arrays: bit.ly/3IpS7Rd
Intersection of two sorted arrays: bit.ly/3KSSx3Z
We have solved the above problems, and we have gone from brute force and ended with the most optimal solution.
Full Course: bit.ly/tufA2ZYt
You can follow me across social media, all my handles are below:
Linkedin/Instagram/Telegram: linktr.ee/takeUforward
0:00 Introduction of course
01:01 Left rotate an Array by 1 Place
07:17 Code-compiler (Left rotate an Array by 1 Place)
08:05 Left rotate an Array by D Places
20:18 Code-compiler (Left rotate an Array by D Places )
27:13 Move zeroes to end
40:30 Code-compiler (Move zeroes to end )
41:05 Linear search
42:43 Code-compiler (Linear search )
43:04 Union of two sorted array
53:33 Code-compiler (Union of two sorted array)
59:05 Intersection of two sorted array
1:09:30 Code-compiler (Intersection of two sorted array)

Опубликовано:

 

28 июл 2024

Поделиться:

Ссылка:

Скачать:

Готовим ссылку...

Добавить в:

Мой плейлист
Посмотреть позже
Комментарии : 797   
@takeUforward
@takeUforward Год назад
Let's march ahead, and create an unmatchable DSA course! ❤ Timestamps someone please :) Use the problem links in the description.
@brajeshmohanty2558
@brajeshmohanty2558 Год назад
At 23:47 my mind just got blown away. Me be like: - itna easy kese Benstocks 😂🙏. Bhai iPad ka notes ka bhi pdf dalo na . Tumaaher writing sei sab samajh mai ata hai. Boh tuf sight par itna bada article dekhne sei dar lagta hai 🙂. But you are doing amazing job bhai thank you 🙏😌.
@Atharva_kathiyawadi
@Atharva_kathiyawadi Год назад
appreciable !!
@ParasSharma-mf8or
@ParasSharma-mf8or Год назад
Please upload the next video.
@gautamsethiya1397
@gautamsethiya1397 11 месяцев назад
@takeUforward class Solution { public: void rotate(vector& nums, int k) { int n = nums.size(); k =k%n; int temp[k]; for (int i = n - k; i < n; i++) { temp[i - n + k] = nums[i]; } for(int i=n-k-1;i>=0;i--) { nums[i+k]=nums[i]; } for(int i=0;i
@yaswanthmitta8983
@yaswanthmitta8983 11 месяцев назад
for moving zeroes to the end we cen write it in 1 loop instead of two though time complexity is same , complexity for understanding decreases : v oid moveZeroes(vector& nums) { int j=0; for(int i=0;i
@aryas4796
@aryas4796 25 дней назад
Who is grinding their head with DSA in their summer vacation?? Heartly thanks to striver for making us understand dsa in such depth :)
@prasannagodiyal6736
@prasannagodiyal6736 12 дней назад
Me😃
@avgguy7129
@avgguy7129 10 дней назад
me too lol
@JohnCena-uf8sz
@JohnCena-uf8sz 8 дней назад
bro this course from his website is completely free for now right ? ... or it has premium paid version as well ?
@bishalkundu7592
@bishalkundu7592 Год назад
Thanks a lot sir for taking out time from your busy schedule and making videos and uploading those videos in the span of 2-3 days. It takes a lot ot effort. Thanks a lot 😊😊
@AniketKumar-tc8cz
@AniketKumar-tc8cz Год назад
Timestamps: 0:00:00 - Intro 0:00:55 - Q1. Left rotate an array by 1 place 0:07:33 - Q2. Left rotate an array by D places 0:26:36 - Follow up Right rotate an array by D places 0:27:11 - Q3. Moving Zeroes to end 0:40:54 - Q4. Linear Search 0:43:01 - Q5. Union of Two Sorted Arrays 0:59:04 - Q6. Intersection of Two Sorted Arrays 1:12:22 - Outro
@AdityaKumar-gx2ip
@AdityaKumar-gx2ip Год назад
For Right Rotation of Array void rotate(vector arr, int d) { if(d>size) d = d % size; reverse(arr.begin(),arr.end()); reverse(arr.begin()+d,arr.end()); reverse(arr.begin(),arr.begin()+d); }
@sahadevbhaganagare4761
@sahadevbhaganagare4761 Год назад
me first getting the optimal solution and then finding the brute 🤣🤣
@he_KARTIK
@he_KARTIK 6 месяцев назад
mee too😂
@Vikas-dm9uc
@Vikas-dm9uc 6 месяцев назад
#me2 moment
@user-oi1oe5he5r
@user-oi1oe5he5r 5 месяцев назад
how to remember logic ,i always forget nd cant able to code
@sahadevbhaganagare4761
@sahadevbhaganagare4761 5 месяцев назад
@@user-oi1oe5he5r I am not the right person but still always go back to the code after a week or so and try solving it again. Then review it after a month. That is it, it will get hard coded in your brain after that.
@Me_Meraj
@Me_Meraj 4 месяца назад
Bro me too 😢 Isi wajah se easy problem solve krne me v time lgta h 😂😂 dimag me bs chlta h ki optimal hi krna h
@Str13011
@Str13011 Год назад
Thank you for all the tutorials, Please keep supporting from starting to get good placement by the help of your tutorials!
@aswinsrikanth408
@aswinsrikanth408 10 месяцев назад
Understood and what an explanation Love your explanation bro, just continue doing what you are doing for the coding community Amazing person
@himadriroy7980
@himadriroy7980 9 месяцев назад
I did not only enjoy the lecture but loved it too. Thanks Striver Bhaiya for explaining so lucidly. ❤
@satishmaurya7032
@satishmaurya7032 Год назад
What a wonderful video, it was vey good. Your way of teaching concepts through questions is best.
@luckshaeey
@luckshaeey Год назад
27:00 rotating an array left by 1 place is equal to rotating it right by n-1 places. We can use this information for rotating an array to right by d places.
@takeUforward
@takeUforward Год назад
Perfect thought!
@bhargavanand7325
@bhargavanand7325 Год назад
great
@himanshukaushik9223
@himanshukaushik9223 Год назад
Bhai leetcode pa left rotation question reverse .end() and begin() use karna pad Raha hai but gfg ma nahi why
@bhargavanand7325
@bhargavanand7325 Год назад
@@himanshukaushik9223 in case of vector we use stl function like begin() and end() but in case of array we don't use it for example in gfg
@himanshukaushik9223
@himanshukaushik9223 Год назад
@@bhargavanand7325 thanks bro
@cinime
@cinime Год назад
Understood! Fantastic explanation as always, I've enjoyed the video. Thank you very much!!
@senseiAree
@senseiAree 11 месяцев назад
I always thought that the optimal solution to this code was the hashset one that you did in the middle part. It blew my mind when I saw the optimal one... And that too so easy man... Wow .. just wow to your observation ❤
@arnab_16
@arnab_16 7 месяцев назад
not only your dsa knowledge is good also your communication skill, voice tone , body movement is superb 🥰🥰
@harshitbajeta206
@harshitbajeta206 Год назад
Thank you for all the tutorials till now and much more waiting for the videos of those questions, which are in the A2Z DSA course sheet.
@kirankawade3424
@kirankawade3424 10 месяцев назад
Thank you so much for sharing the content free of cost!! very nicely explained too😘
@LearnwithEase20
@LearnwithEase20 9 месяцев назад
Love your explanation sir!You always make things simpler
@architha4305
@architha4305 Месяц назад
for the first time i guessed which concept can be used it might sound like a small thing but as a beginner who is just learning to code actually implementing codes without any reference and knowing which loop is used is really HUGE for me. THANK YOU SOO MUCH
@zenmonk29
@zenmonk29 23 дня назад
same for me. feels like a big leap
@sikanddhingra5835
@sikanddhingra5835 6 месяцев назад
bhai ki pehli video lgayi h ye mene. bohut maja aya, dil garden garden hogya bilkul. thanku bhai.😁
@AnshulVerma-cd1od
@AnshulVerma-cd1od 7 месяцев назад
Thank you for making such great and useful videos by taking out time from your busy schedule.
@md.ualiurrahmanrahat2400
@md.ualiurrahmanrahat2400 Год назад
Thanks for providng such amazing course for completely free. We are intended to you.
@sangeetasharma8574
@sangeetasharma8574 Год назад
Thank You Striver for such an effort. Your explanations and teaching is really amazing. Its really Valuable /priceless content :)
@RahulKumar-bd6py
@RahulKumar-bd6py 10 месяцев назад
Your are best amongst all I found on internet hatsoff to you sir.
@kushagramishra5638
@kushagramishra5638 Год назад
Understood 😄. Logic used for right rotate the array k places is that instead of rotating array right by k places I have rotated it n-k places to left . so code for this is - class Solution { public: void rotate(vector& nums, int k) { int n = nums.size(); k = k % n; reverse(nums.begin(),nums.begin()+(n-k)); reverse(nums.begin()+(n-k),nums.end()); reverse(nums.begin(),nums.end()); } };
@Miracle_shaw
@Miracle_shaw Год назад
hey, me also applied same approach
@itzmartin20
@itzmartin20 11 месяцев назад
same here
@jatinukey4062
@jatinukey4062 8 месяцев назад
Exactly right
@expl0itr
@expl0itr 3 месяца назад
reverse(nums.begin(), nums.end()); reverse(nums.begin(), nums.begin() + k); reverse(nums.begin() + k, nums.end()); u can do this also.
@Being_Developer_7
@Being_Developer_7 Месяц назад
for rotating to right : (i have used k instead of d): void optimal(vector& nums , int k){ int n = nums.size(); k = k%n; reverse(nums.begin()+(n-k),nums.end()); reverse(nums.begin() , nums.begin()+(n-k)); reverse(nums.begin() , nums.end()); }
@pranshuatrey
@pranshuatrey Год назад
Love u striver, U are adding great value to my life!! This is amazing..
@suriyavs8685
@suriyavs8685 Год назад
Hey striver wonderful video. I have a query. The code will be applicable only if the vector or array is sorted in the intersection part. So do we need to sort it again or is there any other optimal approach ?
@uttamvashisth4072
@uttamvashisth4072 Год назад
Salute to this consistency.
@rohandhalpe9084
@rohandhalpe9084 Год назад
😆😆
@saurabhtiwari9614
@saurabhtiwari9614 Год назад
@@rohandhalpe9084 😡😡😡
@rohandhalpe9084
@rohandhalpe9084 Год назад
@@saurabhtiwari9614 kya hua bhai 😔
@saurabhtiwari9614
@saurabhtiwari9614 Год назад
@@rohandhalpe9084 Bhai aaisa face kyo bnaya h.
@akshaikumar7966
@akshaikumar7966 Год назад
thank you so much for the series sir , it is helping a lot
@curs3m4rk
@curs3m4rk 4 месяца назад
I recommend everyone to solve the linked leetcode problems attached as well, as the code needs to be tweaked little bit . So u can understand and do by yourself Great approaches Striver. thanks
@user-rh5be8bu6k
@user-rh5be8bu6k 2 месяца назад
Brother, Actually only because of you i came to know what is coding and how to perform our own logic while writing code. Your teaching was nice and I really love it. once before viewing your videos i may code but i don't know how it works internally, but after seeing ur videos it is very easy to understand the working ❣. my first own logic: vector temp; int first = arr[0]; for(int i=1; i
@dhruvsolanki4473
@dhruvsolanki4473 Год назад
Clear explanation and amazing teaching.
@valiant4498
@valiant4498 6 месяцев назад
Guys i just wanna ask something....r u guys doing all these problems on your own or like just watching the lectures
@ishanmoykhede9484
@ishanmoykhede9484 6 месяцев назад
First Understanding the problem then finding approach to solve it then if I make the correct solution then codding it in vs code and moving to nxt question and if I didn't get the solution then watching striver
@harshavardhan184
@harshavardhan184 Год назад
This much consistency is all we needed bhaiya🤞🤞🤞kudos to you
@puneetnj
@puneetnj Год назад
Right Shift Solution(Leetcode 189): k = k % arr.length; reverse(arr, 0, arr.length-1-k); reverse(arr, arr.length-1-k+1, arr.length-1); reverse(arr, 0, arr.length-1);
@hari7939
@hari7939 Год назад
Just do k=k%n, k=n-k!! as simple as that
@user-fh5og9sm6r
@user-fh5og9sm6r 3 месяца назад
Thanks a lot sir for taking out time from your busy schedule and making videos. It takes a lot of effort. Thanks a lot.
@triptisharma5550
@triptisharma5550 Месяц назад
Your videos are awesome. I am finally learning to think about a problem and how to approach it. Thank you so much ❤️😬
@chinmaymathakari9704
@chinmaymathakari9704 8 месяцев назад
Thank you so much for taking out time of your busy schedule. Can you please make such videos on Trees as well ? That will be a great help. Thanks a lot😊😊
@AdityaKumar-be7hx
@AdityaKumar-be7hx Год назад
Actually, there is another optimal solution for moving zeroes problem. It is similar to the function we use in quicksort algorithm (quickselect part for arranging elements around pivot). void Optimal2(̀vector& nums) { int j=-1, n=nums.size(); for(int i=0; i
@nagame859
@nagame859 Год назад
Exceptionally concise👏
@PrithaMajumder
@PrithaMajumder 2 месяца назад
Raj, Thanks a lot for This Amazing Video about C++ Arrays Video - 2 Completed ✅
@user-mc8sc1gf8q
@user-mc8sc1gf8q Месяц назад
done the assignment and understood each and every concept . Sir appreciate your hardwork
@MUKESH_KR8298
@MUKESH_KR8298 Год назад
thank u so much sir for providing best content for us.❤
@kavyabanka4482
@kavyabanka4482 Год назад
Thanks for this amazing course
@vivekbharadwaj4170
@vivekbharadwaj4170 8 месяцев назад
I wish I could get to know about your course in my first year, I'm in second year now, not late, btw thanks a lot (UNDERSTOOD)
@user-mi6qr6ju9o
@user-mi6qr6ju9o 5 месяцев назад
your explanation is awesome and it is easy to understand
@anuragprasad6116
@anuragprasad6116 6 месяцев назад
Concise solution for move zeroes to end: int p = 0; for (int i = 0; i < n; i++) if (arr[i]) swap(arr[p++], arr[i]);
@lost_hand
@lost_hand 3 месяца назад
Such a great lecture i wouldn't never forget these conceptss❤❤
@PonVignesh-gv1xp
@PonVignesh-gv1xp Месяц назад
Learning a lot outta this guy..
@codeby_chance6728
@codeby_chance6728 Месяц назад
Striver please bring string series. Much needed
@DevashishJose
@DevashishJose Год назад
Understood. Thank you so much for this video.
@albatrossgeez6637
@albatrossgeez6637 11 месяцев назад
wonderfull video...i cannot express my words striver...thank you so so much
@ruhiawasthi9
@ruhiawasthi9 16 дней назад
I have written this approach for rotating the array to the right by k steps : void rotate(vector& nums, int k) { k%=nums.size(); reverse(nums.begin(), nums.end()); reverse(nums.begin(), nums.begin() + k); reverse(nums.begin()+k, nums.end()); }
@Unstoppable.Sakshi
@Unstoppable.Sakshi Год назад
I have reached here , sir . By following your A to Z DSA course . Thanks a lot sir..
@bipinsingh1490
@bipinsingh1490 10 месяцев назад
Can u tel me is that a fee course or free course?
@chiragbirla5606
@chiragbirla5606 Год назад
One thing striver..... In the sheet for the same question as we know there is a link attached for the gfg version and for the leetcode version but in some cases leetcode version is harder and sometimes gfg version. So please pick the hard problem for that
@uditbhatia383
@uditbhatia383 11 месяцев назад
For left rotate by k - In python u cannot directly use the reverse function of lists , as slicing needs to be done in that case which would require extra space , so it's better to make custom reverse function and use that . @takeUforward
@hareshnayak7302
@hareshnayak7302 4 месяца назад
Understood,Thanks striver for this amazing video.
@jaskeeratsingh6388
@jaskeeratsingh6388 Год назад
Big fan and student sir🙏🙏 Just a small request: kindly put system design videos before this placement season sir🙏🙏
@kumpatisupriya3947
@kumpatisupriya3947 9 месяцев назад
I'm grateful to you sir🙌🙌. You are the best🙏
@AbhishekSingh-rp6hp
@AbhishekSingh-rp6hp Год назад
Your course is awesome wish I could have found your course a year before currently I am in 3rd year of my clg 😊
@anshu59kumari
@anshu59kumari Год назад
From which college u r
@AbhishekSingh-rp6hp
@AbhishekSingh-rp6hp Год назад
@@anshu59kumari Techno International New Town West Bengal
@sirishayatham1810
@sirishayatham1810 4 дня назад
You are making easy for us to understand DSA!! Heartfully Thanks to Striver Brooo
@adarshrajsingh589
@adarshrajsingh589 Год назад
understood....and thank you for making such an amazing and interactive dsa playlist
@shivvratraghuvanshi522
@shivvratraghuvanshi522 Год назад
समझ मे आ रहा है?
@manan-543
@manan-543 11 месяцев назад
haa bhai acha padhata hai@@shivvratraghuvanshi522
@dinimeegada9167
@dinimeegada9167 Год назад
Love your effort anna ❤
@MotivexBeastt
@MotivexBeastt 5 месяцев назад
Striver is the lion of this community
@lakshmanvengadesan9096
@lakshmanvengadesan9096 Год назад
Why would a two pointer approach not work for the intersection with TC O(n1+n2) ?
@moulee007
@moulee007 Год назад
For left rotate for d places..how do i take the d values in temp in java?
@hey-cg3fv
@hey-cg3fv Год назад
Move zeroes question another approach with O(1) space int j=0; // Firstly taking all non- zeroes number for(int i=0;i O(1)
@Mythri333
@Mythri333 5 месяцев назад
Really it is world biggest best dsa course. 😊😊
@gulshankumar9896
@gulshankumar9896 3 месяца назад
nicely explained bhaiya ; thank you for this amazing video;
@sunnymishra2120
@sunnymishra2120 Год назад
I'm really lucky to have you as a teacher
@chidambarjoshi3470
@chidambarjoshi3470 Год назад
In the brute force approach of union of arrays, you could have directly returned the set instead of taking a temp vector and copying it all over, because the set would only take the single copies of the elements are the time of insertion
@nashimbiswakarma
@nashimbiswakarma Год назад
bro you are right but most of the time they i.e., dsa practicing websites expect you to return the result in the form of array(for c++ vector and for Java ArrayList).
@karthikjadhav346
@karthikjadhav346 12 дней назад
I guess I have an approach for "better" solution for "Move zeroes to end" ( 27:13 ) , correct me if i'm wrong but this is what I got, with T.C O(N+C) int count = 0; for(int i=0;i
@user-eq9mg3ws7t
@user-eq9mg3ws7t 9 месяцев назад
In MAANG interview generally the coding round is of 45 min and they ask 2-3 LC medium questions.So, approx. 15 min(discuss + solve) for 1 question if 2 medium LC question they asked. So, if we know optimal solution then discussing on brute force approach will cost us. So, any suggestion here ?
@chandusweety3341
@chandusweety3341 Месяц назад
class Solution { public void rotate(int[] nums, int k) { int n=nums.length; k=k%n; reverse(nums,n-k,n-1); reverse(nums,0,n-k-1); reverse(nums,0,n-1); } void reverse(int arr[],int start,int end) { while(start
@eakanshbhardwaj
@eakanshbhardwaj 5 месяцев назад
43:50 its not i
@tushartyagi4965
@tushartyagi4965 8 месяцев назад
Rotate right ---->>>> void rotate(vector& nums, int k) { vector temp(nums.size()); for(int i=0; i< nums.size(); i++) { temp[(i+k)%nums.size()] = nums[i]; } nums=temp; }
@anantsingh2004
@anantsingh2004 Год назад
Understood Striver , well done 🙌👍
@Candy-sh4qs
@Candy-sh4qs Год назад
Thanks for this lecture sir.. Can you please 🙏 put the next video on this sheet
@sanujgoyal622
@sanujgoyal622 11 месяцев назад
I have a doubt. When we determined intersection of two arrays using Brute Force approach, shouldn't the space complexity be sum of size of ans array + size of visited array? Why we have only considered length of visited array?
@juniorboy1903
@juniorboy1903 Год назад
Understood 😉 maja aa gaya bhaiya
@vashusuman4715
@vashusuman4715 2 дня назад
I have written a code for "moves zeroes to end" with step 1 and step 2 combined int i=0; for(int j=0;j
@yaamraj2224
@yaamraj2224 Год назад
thanks for this awesome content sir ..... next lecture sir??
@tanishagarwal5992
@tanishagarwal5992 7 месяцев назад
In the three reversals, we are doing iterations just for half the time i.e O(d/2) + O((n-d)/2) + O (n/2) making it O(n) so TC as well as SC of optimal solution is better than the better solution.
@mohitmandal4356
@mohitmandal4356 Год назад
the space complexity of two sorted array intersection in optimal approach would be O(min(n1,n2)), right @takeUforward?
@gm__1234
@gm__1234 11 месяцев назад
great explanation!
@anilkumar4200
@anilkumar4200 Год назад
Why bro Why, Brute force->better-> optimal, Its really a big effort. thanks for such wonderful video series. Love the way u explain.
@oguluribrahmaiah1301
@oguluribrahmaiah1301 10 месяцев назад
Understood Thanks a lot Striver😍
@UECSoumyaRay
@UECSoumyaRay Год назад
code for right-rotation: void rotate(vector& nums, int k) { int n = nums.size(); if (k > n) { k = k % n; } reverse(nums.begin(), nums.begin()+n-k); reverse(nums.begin()+(n-k),nums.begin()+n ); reverse(nums.begin(), nums.begin()+n); }
@crazybro4383
@crazybro4383 4 месяца назад
Hii brother can you pls explain me why time complexity of intersection is O(1) and not O(n), where n is the size of larger sized array. Time stamp- 1:12:01
@krushnathakare96
@krushnathakare96 Год назад
Hi Raj bhaiya first of all thanks for the video and guidance and great initiative of take u forward i have one question which is listed below instead of 2 pointer method directly while iterating through array we can make this happen 27:13 --> Move 0 to End of the array Could this be optimal solution ? //Java code-> package Arrays; public class MoveZeroToEnd { public static void main(String[] args) { int [] arr = {1,2,0,9,8,7,0,6,5,0,4,3}; int count = 0; for (int i = 0; i
@creativeenjoyers827
@creativeenjoyers827 Год назад
Thank you bhai . Please upload full playlist in c++ Dsa ❤❤
@lwnflash2123
@lwnflash2123 3 месяца назад
For the instersection question,why don't you consider temp array/vector space in addition to visted array for space complexity(brute force) ,because that too is used?.And for the optimal solution space complexity must be O(min(n1,n2)) if all elements are common??...
@sujitkokate4245
@sujitkokate4245 6 месяцев назад
that relationship at the last though!! 😂❤loved it bhaiya
@sanjaykrishna689
@sanjaykrishna689 4 месяца назад
left rotation to right rotation: simple approach is to think oppositely to left rotation. Shift all elements right of d and add to temp and push it. Just reverse the order of the reverse statements used in left rotation!.
@trojanhorse8278
@trojanhorse8278 Год назад
in rotation by d places ,since d is always smaller than N after taking it's mod value, we can substitute N inplace of d in TC and we will get O(N) .
@yashsaxena7787
@yashsaxena7787 6 месяцев назад
Great! btw in the worst case of Intersection, the space complexity would be O(n1>n2?n2:n1) because whichever one is smaller matches completely with the other array and ends. P.S.- the space is for returning the answer and not solution.
@ammarshaikh4054
@ammarshaikh4054 3 дня назад
if you are geting confused in last loop at 18:55 i.e for(int i=n-d; i
@pranabpaul6317
@pranabpaul6317 Год назад
understood striver! thanks a lot. :)
@shivanand0297
@shivanand0297 2 месяца назад
thankyou striver for this amazing series
@soumikdutta6171
@soumikdutta6171 Месяц назад
Kudos to your efforts!
@rohandhalpe9084
@rohandhalpe9084 Год назад
Bhaiyaa ji please upload videos as fast as possible .Our placement season starting soon in June.💫💫💫💫💫💫💫💫💫💫💫💫💫💫
@Dipanshutripathi2407
@Dipanshutripathi2407 8 месяцев назад
understood all the questions.
Далее
Solve This Coding Problem and Win $200
8:06
Просмотров 2,4 млн
I Solved 1583 Leetcode Questions  Here's What I Learned
20:37
These Roblox Players Just Got Their PC's Hacked...
10:38
I gave 127 interviews. Top 5 Algorithms they asked me.
8:36